%define major   0
%define libname %mklibname ta_lib %{major}
%define libdev  %mklibname ta_lib -d

Summary:	Technical Analysis Library
Name:		ta-lib
Version:	0.4.0
Release:	%mkrel 6
License:	BSD
Group:		System/Libraries
Source0:	https://downloads.sourceforge.net/ta-lib/%{name}-%{version}-src.tar.gz
# Source0-md5:	308e53b9644213fc29262f36b9d3d9b9
Patch0:		mageia-add-libm.patch
Patch1:		mageia-string-security.patch
URL:		https://ta-lib.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
TA-Lib provides common functions for the technical analysis of
stock/future/commodity market data.

%package -n %libname
Group:		System/Libraries
Summary:	Technical Analysis Library
Obsoletes:	%{_lib}ta-lib4 < 0.4.0-3

%description -n %libname
TA-Lib provides common functions for the technical analysis of
stock/future/commodity market data.

%package -n %libdev
Summary:	Header files for ta-lib library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ta-lib-devel < 0.4.0-3

%description -n %libdev
Header files for ta-lib library.

%prep
%setup -q -n %{name}
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE(\[\).*\])$,\1subdir-objects\]),' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static

# Multithread build is broken
%__make

%install
%make_install

rm %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc CHANGELOG.TXT HISTORY.TXT
%{_libdir}/libta_lib.so.%{major}{,.*}

%files -n %libdev
%{_bindir}/ta-lib-config
%{_libdir}/libta_lib.so
%{_includedir}/*



%changelog
* Wed Mar 16 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1794521
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1517381
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1301312
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 0.4.0-3.mga7
+ Revision: 1242788
- fix build on aarch64
- fix lib and dev pkg names

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 958952
- Mageia 6 Mass Rebuild

* Fri Aug 07 2015 joequant <joequant> 0.4.0-1.mga6
+ Revision: 861522
- imported package ta-lib

